## tkirc 1.202-2

=== debian/changelog ===
tkirc (1.202-2) unstable; urgency=low

  * Added postrm with call of update-menues (lintian)

 -- Martin Schulze <joey@finlandia.infodrom.north.de>  Tue, 24 Mar 1998 00:11:41 +0100

tkirc (1.202-1) unstable; urgency=low

  * New upstream version
  * Updated and added more scripts

 -- Martin Schulze <joey@finlandia.infodrom.north.de>  Sun, 15 Mar 1998 23:28:50 +0100

tkirc (1.151-2) unstable; urgency=low, closes=16765

  * Corrected Standards-Version to 2.3.0.1 (Bug#16765)
  * Updated menu file
  * Updated example scripts from atte's homepage

 -- Martin Schulze <joey@finlandia.infodrom.north.de>  Fri, 9 Jan 1998 02:51:44 +0100

tkirc (1.151-1) unstable; urgency=low, closes=16492

  * New upstream release
  * Changed position of menu file (Bug#16492)

 -- Martin Schulze <joey@finlandia.infodrom.north.de>  Mon, 5 Jan 1998 18:44:12 +0100

tkirc (1.137-1) unstable; urgency=low

  * New upstream version
  * Added tkirc(1) manpage
  * Refreshed dsc section in debian/rules
  * Doesn't depend on tk* but on wish 

 -- Martin Schulze <joey@finlandia.infodrom.north.de>  Wed, 3 Sep 1997 08:28:17 +0200

tkirc (1.128-2) unstable; urgency=low

  * Added atte's script examples
  * Moved tkirc to /usr/bin (Bug#11168)
  * Added menu file

 -- Martin Schulze <joey@kuolema.infodrom.north.de>  Sat, 19 Jul 1997 15:49:08 +0200

tkirc (1.128-1) unstable; urgency=low

  * Second packaged - now it's fully GPLed

 -- Martin Schulze <joey@finlandia.infodrom.north.de>  Tue, 8 Jul 1997 11:04:42 +0200

tkirc (1.127-1) unstable; urgency=low

  * First packaged, unreleased

 -- Martin Schulze <joey@tash.orgatech.de>  Mon, 7 Jul 1997 23:22:26 +0200
