=== debian/control ===
Source: tkirc
Section: net
Priority: optional
Maintainer: Martin Schulze <joey@debian.org>
Standards-Version: 2.3.0.1

Package: tkirc
Architecture: all
Depends: wish, ircii (>=2.8-1)
Description: Tcl/Tk based client to the Internet Relay Chat
 tkirc is a frontend for unix's ircII (shell-client for the Internet
 Relay Chat) based on Tcl/Tk.
