=== debian/rules ===
#! /usr/bin/make -f

#   Copyright 1994-97   joey@infodrom.north.de (Martin Schulze)
#
#   This program is free software; you can redistribute it and/or modify
#   it under the terms of the GNU General Public License as published by
#   the Free Software Foundation; version 2 dated June, 1991.
#
#   This program is distributed in the hope that it will be useful,
#   but WITHOUT ANY WARRANTY; without even the implied warranty of
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#   GNU General Public License for more details.
#
#   You should have received a copy of the GNU General Public License
#   along with this program;  if not, write to the Free Software
#   Foundation, Inc., 675 Mass Ave., Cambridge, MA 02139, USA.
#
#  $Id: rules,v 1.7 1998/03/23 23:13:29 joey Exp $

# The name and version of the source
#
source = $(shell grep "^Source: " debian/control|head -1|sed 's/Source: \(.*\)/\1/g')
package = $(shell grep "^Package: " debian/control|head -1|sed 's/Package: \(.*\)/\1/g')
version = $(shell grep "^$(source) " debian/changelog|head -1 |sed 's/.*(\(.*\)\-[^\-]*).*/\1/g')
revision = $(shell grep "^$(source) " debian/changelog|head -1 |sed 's/.*([^\-]*\-\(.*\)).*/\1/g')

installbin = install -g root -o root -m 755
installdoc = install -g root -o root -m 644

build:
	touch stamp-build

clean: debclean
		rm -rf stamp-build *~

debclean:
# Cleans debian binary directories to allow binary creation
	rm -rf debian/tmp
	rm -f debian/{files,substvars}

binary-indep:
# Nothing to be done here

binary-arch: debclean
	test -f stamp-build || $(MAKE) -f debian/rules build
	$(installbin) -d debian/tmp/DEBIAN
	chown -R root.root debian/tmp
	chmod -R g-ws debian/tmp
	$(installbin) debian/postinst debian/tmp/DEBIAN
	$(installbin) debian/postinst debian/tmp/DEBIAN/postrm
	$(installbin) -d debian/tmp/usr/doc/$(package)
	$(installdoc) debian/copyright debian/tmp/usr/doc/$(package)/copyright
	#
	$(installdoc) debian/changelog debian/tmp/usr/doc/$(package)/changelog.Debian
	$(installdoc) CHANGES debian/tmp/usr/doc/$(package)/changelog
	$(installdoc) README debian/tmp/usr/doc/$(package)/readme
	$(installdoc) tkircrc-example debian/tmp/usr/doc/$(package)/sample.tkircrc
	gzip -9f debian/tmp/usr/doc/$(package)/{changelog,changelog.Debian,readme,sample.tkircrc}
	#
	$(installbin) -d debian/tmp/usr/doc/$(package)/scripts
	$(installdoc) debian/scripts debian/tmp/usr/doc/$(package)/scripts/readme
	( cd debian; \
	 for f in *.tcl; do \
	   $(installdoc) $$f tmp/usr/doc/$(package)/scripts; \
	 done \
	)
	gzip -9f debian/tmp/usr/doc/$(package)/scripts/*.tcl
	#
	$(installbin) -d debian/tmp/usr/man/man1
	$(installdoc) debian/tkirc.1 debian/tmp/usr/man/man1
	gzip -9f debian/tmp/usr/man/man?/*
	#
	$(installbin) -d debian/tmp/usr/bin
	$(installbin) tkirc debian/tmp/usr/bin
	#
	$(installbin) -d debian/tmp/usr/lib/menu
	$(installdoc) debian/menu debian/tmp/usr/lib/menu/$(package)
	#
	dpkg-gencontrol
	dpkg --build debian/tmp ..

binary: binary-indep binary-arch

source diff:
	@echo >&2 'source and diff are obsolete - use dpkg-source -b' or dsc; false

dsc:
	-test -d debian/tmp && $(MAKE) -f debian/rules clean
	if [ ! -f ../$(source)_$(version).orig.tar.gz -a -f ../orig/$(source)_$(version).orig.tar.gz ]; \
	then \
	  ln -s orig/$(source)_$(version).orig.tar.gz ../$(source)_$(version).orig.tar.gz; \
	  touch /tmp/stamp-$(source)-link; \
	fi; \
	cd .. && dpkg-source -b $(source)-$(version)
	if [ -f /tmp/stamp-$(source)-link ]; then \
	  rm ../$(source)_$(version).orig.tar.gz /tmp/stamp-$(source)-link; \
	fi

checkroot:
	$(checkdir)
	test root = "`whoami`"

dist: binary dsc

.PHONY: binary binary-arch binary-indep clean checkroot
